import { ModelUtilImpl, ModelConditionUtil, ModelConditionUtilImpl, FieldUtil } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-02 09:56
 */
interface ModelVersionView {
    /**
    * app_id
    * @type { string }
    */
    appId?: string;
    /**
    * code
    * @type { string }
    */
    code?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * major
    * @type { number }
    */
    major?: number;
    /**
    * minor
    * @type { number }
    */
    minor?: number;
    /**
    * pid
    * @type { string }
    */
    pid?: string;
    /**
    * released
    * @type { boolean }
    */
    released?: boolean;
    /**
    * service_center_id
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * version_no
    * @type { string }
    */
    versionNo?: string;
}
interface ModelVersionViewMCU extends ModelConditionUtil<ModelVersionViewMCU> {
    APP_ID: FieldUtil<ModelVersionViewMCU>;
    CODE: FieldUtil<ModelVersionViewMCU>;
    CREATE_TIME: FieldUtil<ModelVersionViewMCU>;
    MAJOR: FieldUtil<ModelVersionViewMCU>;
    MINOR: FieldUtil<ModelVersionViewMCU>;
    PID: FieldUtil<ModelVersionViewMCU>;
    RELEASED: FieldUtil<ModelVersionViewMCU>;
    SERVICE_CENTER_ID: FieldUtil<ModelVersionViewMCU>;
    UPDATE_TIME: FieldUtil<ModelVersionViewMCU>;
    VERSION_NO: FieldUtil<ModelVersionViewMCU>;
}
declare class ModelVersionViewMCUImpl extends ModelConditionUtilImpl<ModelVersionViewMCUImpl> implements ModelVersionViewMCU {
    newInstance(): ModelVersionViewMCUImpl;
    get APP_ID(): FieldUtil<ModelVersionViewMCU>;
    get CODE(): FieldUtil<ModelVersionViewMCU>;
    get CREATE_TIME(): FieldUtil<ModelVersionViewMCU>;
    get MAJOR(): FieldUtil<ModelVersionViewMCU>;
    get MINOR(): FieldUtil<ModelVersionViewMCU>;
    get PID(): FieldUtil<ModelVersionViewMCU>;
    get RELEASED(): FieldUtil<ModelVersionViewMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<ModelVersionViewMCU>;
    get UPDATE_TIME(): FieldUtil<ModelVersionViewMCU>;
    get VERSION_NO(): FieldUtil<ModelVersionViewMCU>;
}
declare class ModelVersionViewMU extends ModelUtilImpl<ModelVersionViewMCU, ModelVersionView> {
    joinTables: any[];
    selectSQL: string;
    modelFields: string[];
    constructor();
    createModelConditionUtil(): ModelVersionViewMCU;
    static get APP_ID(): FieldUtil<ModelVersionViewMCU>;
    static get CODE(): FieldUtil<ModelVersionViewMCU>;
    static get CREATE_TIME(): FieldUtil<ModelVersionViewMCU>;
    static get MAJOR(): FieldUtil<ModelVersionViewMCU>;
    static get MINOR(): FieldUtil<ModelVersionViewMCU>;
    static get PID(): FieldUtil<ModelVersionViewMCU>;
    static get RELEASED(): FieldUtil<ModelVersionViewMCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<ModelVersionViewMCU>;
    static get UPDATE_TIME(): FieldUtil<ModelVersionViewMCU>;
    static get VERSION_NO(): FieldUtil<ModelVersionViewMCU>;
    get APP_ID(): FieldUtil<ModelVersionViewMCU>;
    get CODE(): FieldUtil<ModelVersionViewMCU>;
    get CREATE_TIME(): FieldUtil<ModelVersionViewMCU>;
    get MAJOR(): FieldUtil<ModelVersionViewMCU>;
    get MINOR(): FieldUtil<ModelVersionViewMCU>;
    get PID(): FieldUtil<ModelVersionViewMCU>;
    get RELEASED(): FieldUtil<ModelVersionViewMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<ModelVersionViewMCU>;
    get UPDATE_TIME(): FieldUtil<ModelVersionViewMCU>;
    get VERSION_NO(): FieldUtil<ModelVersionViewMCU>;
}
export { ModelVersionViewMCU, ModelVersionViewMCUImpl, ModelVersionView, ModelVersionViewMU };
